Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.server.core.model
Class PublishTaskDelegate

    java.lang.Object
      org.eclipse.wst.server.core.model.PublishTaskDelegate

    public abstract class PublishTaskDelegate

extends java.lang.Object

A publish task delegate.

This is the implementation of a publishTask extension point.

This abstract class is intended to be extended only by clients to extend the `publishTask` extension point.

Since:
  1.0

Constructor Summary
`PublishTaskDelegate()`

Method Summary
`PublishOperation[]` | `getTasks(IServer server, int kind, java.util.List modules, java.util.List kindList)` Returns the tasks that should be performed during publishing.
`PublishOperation[]` | `getTasks(IServer server, java.util.List modules)` Returns the tasks that should be performed during publishing.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublishTaskDelegate

    public PublishTaskDelegate()

Method Detail

### getTasks

    public PublishOperation[] getTasks(IServer server,
                                       java.util.List modules)

  Returns the tasks that should be performed during publishing.

  Parameters:
    `server` - the server
    `modules` - a list containing IModule arrays
  Returns:
    the tasks that should be performed on the server.

### getTasks

    public PublishOperation[] getTasks(IServer server,
                                       int kind,
                                       java.util.List modules,
                                       java.util.List kindList)

  Returns the tasks that should be performed during publishing.

  Parameters:
    `server` - the server
    `modules` - a list containing IModule arrays
    `kind` - one of the IServer.PUBLISH_XX constants.
    `kindList` - one of the IServer publish change constants.
  Returns:
    the tasks that should be performed on the server.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD